get
https://api.instantpay.in/fi/remit/out/nepal/remitterProfile
This API is used to fetch the customer details.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Request Parameters
| Parameters | Type | Description |
|---|---|---|
| mobile | Mandatory | Remitter Mobile Number |
Sample Request
curl --location --request GET 'https://api.instantpay.in/fi/remit/out/nepal/remitterProfile' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}' \
--header 'X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234' \
--header 'X-Ipay-Request-Timestamp: 1665638508000' \
--header 'X-Ipay-Hash-Check: OFF' \
--header 'User-Agent: InstantPayAPITest/1.0.0' \
--header 'X-Ipay-Outlet-Id: 72762' \
--header 'Content-Type: application/json' \
--data-raw '{
"mobile":"91XXXXXXXX"
}'GET /fi/remit/out/nepal/remitterProfile HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
X-Ipay-Outlet-Id: {{outletId}}
X-Ipay-Request-Hash: 123456789|123456789|123456789|123456789|123456789|123456789|1234
X-Ipay-Request-Timestamp: 1665638548000
X-Ipay-Hash-Check: OFF
User-Agent: InstantPayAPITest/1.0.0
Content-Type: application/json
Content-Length: 29
{
"mobile":"91XXXXXXXX"
}Response Parameters
| Parameter Name | Type | Description |
|---|---|---|
| statuscode | String | InstantPay Status Code |
| actcode | String | Action Code |
| status | String | Status messag |
| data | Array | Response Data (If Present) |
| timestamp | String | Response time (YYYY-MM-DD HH:II:SS) |
| ipay_uuid | String | Request reference number |
| orderid | String | Transaction Id ( If transaction otherwise it is null ) |
| enviroment | String | Live/Sandbox |
Sample Response
{
"statuscode": "TXN",
"actcode": null,
"status": "Transaction Successful",
"data": {
"id": "675738",
"mobile": "7428585742",
"firstName": "Sample Name",
"gender": "Male",
"dob": "1993-11-12",
"address": "Sample Address",
"city": "City Name",
"state": "State Name",
"district": "District Name",
"nationality": "Nationality",
"employer": "Business Name",
"incomeSource": "Salary",
"status": "Verified",
"eKycStatus": "Unverified",
"onboardingStatus": "Pending",
"approveStatus": "",
"approveComment": "",
"ids": [
{
"idType": "Aadhaar Card",
"idNumber": "XXXXXXXX6077"
}
],
"transactionCount": {
"day": "0",
"month": "0",
"year": "0"
},
"beneficiaries": []
},
"timestamp": "2023-01-03 09:55:19",
"ipay_uuid": "h06898220ba9-1d53-4af1-a766-1d9e7780dc54",
"orderid": null,
"environment": "LIVE",
"internalCode": null
}
Info :For API Headers Click Here

